/***************************************************************************
* Gines Moreno Valverde, Pascual Julian Iranzo. Derechos reservados (c) 1995.
*  Universidad de Castilla - La Mancha. Departamento de Informatica.
*  E-mail: (gmoreno@info-ab.uclm.es)  (pjulian@inf-cr.uclm.es).
****************************************************************************
*
*  Los autores no conceden garantia de ningun tipo, expresa o
*  implicita, con respecto al software o su documentacion. Se
*  concede derecho para realizar copias de este producto con fines
*  academicos o de investigacion, con la sola obligacion de citar esta
*  noticia de COPYRIGHT.
*
***************************************************************************/

/************************* CONSTANTES DE USO GENERAL ************************
FICHERO const.h: Este fichero contendra todas aquellas constantes de uso
general que aparecen a lo largo de todos los ficheros del programa.
Cualquier otra constante de uso general que fuese necesaria se declararia aqui.
****************************************************************************/


/* Constantes para aclarar el significado de las reglas de alcance de las
funciones y variables en el lenguaje C.
Las variables globales tienen que declararse en cada uno de los ficheros 
en que se vayan a utilizar; ejemplo:

		extern int x;

Ahora bien, solo debe reservarse espacio en un punto del programa
mediante una definicion; ejemplo:

		int x;

que se redefine a la tira nula en uno de los ficheros, por ejemplo, en
"main.c". La declaracion "extern" indica que la funcion o variable a
emplear se ha definido en otro fichero.
En el lenguaje C todos los procedimientos y estructuras son publicos,
es decir, visibles desde otros ficheros, a no ser que se especifique otra
cosa. Se define la macro PUBLIC para poner de relieve este hecho. Por
otra parte la macro PRIVATE jugara el papel opuesto, restinge el alcance de
de un objeto externo a un fichero.
*/

#define EXTERN	extern	/* se emplea en los ficheros *.h */
#define PRIVATE	static	/* restringe el alcance de un objeto */
#define PUBLIC		/* lo contrario que PRIVATE */

/*Nemotecnicos de los metodos de resolucion de objetivos */
#define CLASICO 'C'
#define SEMANTICO 'S'

/*Nemotecnicos de Semanticas */
#define OPERACIONAL 'O'
#define PUNTOFIJO 'P'

