/************************ DECLARACIONES DE LAS ESTRUCTURAS ************
FICHERO estruc.h: Este fichero de cabecera contiene las declaraciones de
las estructuras que se emplearan en la aplicacion.
Son de uso comun en todos los ficheros de la aplicacion.
************************************************************************/

/* Estructura de datos asociada a un termino, ecuacion o regla.*/

PUBLIC struct arbol {char oc[10]; struct arbol *herm, *hijo;}; 


/* Estructura de datos asociada a una teoria (conjunto de ecuaciones) */

PUBLIC struct lista {struct arbol *ecu; struct lista *sig;};
 

/* Estructura de datos asociada al conjunto de todos los 
nombres y aridades de las funciones que aparecen en la teoria :
Signatura. */

PUBLIC struct funcs {char nombre[10]; unsigned int aridad ; struct funcs *sig;};


/* Estructura de datos asociada a una substitucion (conjunto de
pares <variable, termino> */

PUBLIC struct subs {char var[10]; struct arbol *term; struct subs *sig;};


/* Estructura de datos asociada a un estado de Basic Narrowing
Calculus (conjunto de pares <ecuacion, sustitucion>, junto con
la ecuacion plana original de la que se ha derivado  */

PUBLIC struct stat { struct lista *ecus, *raiz; struct subs *alfa; struct stat *sig;};


/* Estructura de datos asociada a una lista de unificadores. Sera
utilizada en el calculo de la semantica de punto fijo  */

PUBLIC struct lisub { struct subs *alfa; struct lisub *sig;};


/* La siguiente estructura se usara en la realizacion de 
estadisticas sobre la eficiencia de los dos metodos implementados
para la resolucion de objetivos, y los dos tipos de semanticas. */

PUBLIC  struct estadis {
char metodo;  /* Calculo efectuado por el Metodo CLASICO (C) o SEMANTICO (S) */
unsigned instan;  /* Numero de instanciaciones de una expresion por una sustitucion */
unsigned compos;  /* Numero de composiciones de sustituciones. */
unsigned unifict;  /* Numero total de operaciones de unificacion. */
unsigned unifice;  /* Numero de operaciones de unificacion con exito . */
unsigned BN_RU1_TECAt; /* Numero de operaciones BN1(), RU1() o TECA() totales. */
unsigned BN_RU1_TECAe; /* Numero de operaciones BN1(), RU1() o TECA() con exito. */
unsigned BN_RU2t; /* Numero de operaciones BN2() o RU2() totales. */
unsigned BN_RU2e; /* Numero de operaciones BN2() o RU2() con exito. */
long time; /* Tiempo de ejecucion, en pulsos de reloj */
};


/* Esta estructura se emplea para referenciar mediante punteros los argumentos 
no variables de un termino funcion no plano */

struct tocur { 
	struct arbol *term, /* puntero a argumento no var. */
	*ant; /* puntero a arg. anterior a uno no var. */ 
	struct tocur *sig; 
	};

