/*********************** VARIABLES GLOBALES *******************************
FICHERO glovar.h: Este fichero de cabecera agrupa todas las variables
globales. Debera utilizarse al principio de cada modulo, para que las
variables queden declaradas como externas. La definicion (reserva de memoria),
se hace en un solo punto del programa, el fichero main.c, en el que habra que
redefinir la constante EXTERN antes de proceder a la inclusion de esta
cabecera.
****************************************************************************/


/* fichero de salida abierto durante las primeras fases del
analisis sintactico y utilizado por procedimientos auxiliares
de visualizacion y en otros puntos del programa (mensajes de
error etc.) */
EXTERN FILE *out;

/* punteros a la lista de ecs. que almacenan la teoria */
EXTERN struct lista   *listaini, *listafin;

/* punteros a la lista de simbolos/aridad de la teoria: Signatura */
EXTERN struct funcs   *funcini, *funcfin;

/* punteros a la lista de ecs. que almacenan la O(E) y F(E) */
EXTERN struct lista   *oeini, *oefin;
EXTERN struct lista   *feini, *fefin;

/* punteros a la lista de ecs. que almacenan el objetivo  */
EXTERN struct lista   *goalini, *goalfin;

/* punteros a la lista de ecs. flat generadas a partir del objetivo  */
EXTERN struct lista   *fgoalini, *fgoalfin;
 
/* impone un numero de orden a las variables frescas */
EXTERN unsigned int semilla;

/* Variable en la que se almacena el deseo de que el programa realice
una traza de los calculos que esta realizando. Por defecto almacena el
valor NTRACE, no trazar calculos. */
EXTERN int trace;

/* Variable para el tratamiento estadistico de los calculos. */
EXTERN struct estadis st;

